Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451850 - Allow non-GNOME default session in gdm
Summary: Allow non-GNOME default session in gdm
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10Blocker, F10FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2008-06-17 19:32 UTC by Warren Togami
Modified: 2015-01-14 23:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-08 21:26:55 UTC


Attachments (Terms of Use)

Description Warren Togami 2008-06-17 19:32:42 UTC
daemon/gdm-session-direct.c:

static char *
get_fallback_session_name (void)
{
        const char  **search_dirs;
        int           i;
        char         *name;

        name = g_strdup ("gnome");
        if (get_session_command_for_name (name, NULL)) {
                return name;
        }

The hard coded "gnome" here makes it impossible to specify any other session as
default globally for the system.  Ray Strode mentioned that it should grab this
from the /etc/gdm/custom.conf.

Could we have this in a F-9 update as well?

Comment 1 jmccann 2008-06-17 19:38:53 UTC
So, while I expect we'd take a patch to change this it won't help you if the
user has already selected a session.  The session stored in the .dmrc will
always override this default.

Comment 2 Warren Togami 2008-06-17 21:38:56 UTC
> So, while I expect we'd take a patch to change this it won't help you if the
> user has already selected a session.  The session stored in the .dmrc will
> always override this default.

This is fine.

Since we'll be changing this part, perhaps we could discuss alternative ideas.

I would prefer an optional system-wide dmrc that is read before user's dmrc (so
other DM's could read it from the common location).  But Ray and Jon said that
some "IPA" based thing should be providing this in the future.  They don't want
to add a global dmrc now because they plan on eliminating all .dmrc's.

What exactly is this future thing?  Are any details of it written down anywhere?
 How soon will we have it?

Comment 3 Simo Sorce 2008-07-12 14:53:44 UTC
Not sure why I am needinfo here, changing to assigned as I have no knowledge of
internal GDM stuff.

Comment 4 Matthias Clasen 2008-10-02 00:31:54 UTC
I believe this is more or less fixed by the splitting off of gnome-session-xsession.
It is now possible to use gdm without installing the file 
/usr/share/xsessions/gnome.desktop. In that case, the fallback code mentioned in this report won't return gnome, but instead find the first desktop file in /usr/share/xsessions.

Comment 5 Matthias Clasen 2008-10-08 21:26:55 UTC
Considering this fixed, since no further input was provided.


Note You need to log in before you can comment on or make changes to this bug.